Package com.sun.messaging.jms.management.server

## Class TransactionState

- java.lang.Object
- - com.sun.messaging.jms.management.server.TransactionState

-     public class TransactionState
      extends java.lang.Object

  Class containing constants for transaction states.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `COMMITTED` | Transaction was committed.
    `static int` | `COMPLETE` | Transaction completed.
    `static int` | `CREATED` | Transaction was created.
    `static int` | `FAILED` | Transaction failed.
    `static int` | `INCOMPLETE` | Transaction incomplete.
    `static int` | `PREPARED` | Transaction is in prepared state.
    `static int` | `ROLLEDBACK` | Transaction was rolled back.
    `static int` | `STARTED` | Transaction was started.
    `static int` | `TIMED_OUT` | Transaction timed out.
    `static int` | `UNKNOWN` | Unknown transaction state.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static java.lang.String` | `toString​(int state)` | Returns a string representation of the specified transaction state.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### UNKNOWN

          public static final int UNKNOWN

      Unknown transaction state.
      See Also:
        Constant Field Values

    - #### CREATED

          public static final int CREATED

      Transaction was created.
      See Also:
        Constant Field Values

    - #### STARTED

          public static final int STARTED

      Transaction was started.
      See Also:
        Constant Field Values

    - #### FAILED

          public static final int FAILED

      Transaction failed.
      See Also:
        Constant Field Values

    - #### INCOMPLETE

          public static final int INCOMPLETE

      Transaction incomplete.
      See Also:
        Constant Field Values

    - #### COMPLETE

          public static final int COMPLETE

      Transaction completed.
      See Also:
        Constant Field Values

    - #### PREPARED

          public static final int PREPARED

      Transaction is in prepared state. It can now be commited or rolled back.
      See Also:
        Constant Field Values

    - #### COMMITTED

          public static final int COMMITTED

      Transaction was committed.
      See Also:
        Constant Field Values

    - #### ROLLEDBACK

          public static final int ROLLEDBACK

      Transaction was rolled back.
      See Also:
        Constant Field Values

    - #### TIMED_OUT

          public static final int TIMED_OUT

      Transaction timed out.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### toString

          public static java.lang.String toString​(int state)

      Returns a string representation of the specified transaction state.
      Parameters:
        `state` - Transaction state.
      Returns:
        String representation of the specified transaction state.